package dod.game.items;

/**
 * A class to represent sword. So far this does nothing, but if attacking is
 * implemented, it could increase the attack potential of a player.
 */
public class Sword extends GameItem {
	
	private int amount;	
	
	public Sword(int value){
		amount = value;
	}
	
	@Override
	public int getAmount(){
		return amount;
	}
	
    @Override
    public boolean isRetainable() {
	// A sword is retained
	return true;
    }

    @Override
    public String toString() {
	return "sword";
    }

    @Override
    public char toChar() {
	return 'S';
    }
}
