package dod;

import java.awt.event.ActionEvent;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.Socket;

public class ClientGUI extends javax.swing.JFrame{
	
	private javax.swing.JButton ChangeName  = new javax.swing.JButton();
	private javax.swing.JButton Look = new javax.swing.JButton();
	private javax.swing.JButton MessageSend = new javax.swing.JButton();
	private javax.swing.JTextField MessageShout = new javax.swing.JTextField();
	private javax.swing.JButton MoveEast = new javax.swing.JButton();
	private javax.swing.JButton MoveNorth = new javax.swing.JButton();
	private javax.swing.JButton MoveSouth = new javax.swing.JButton();
	private javax.swing.JButton MoveWest = new javax.swing.JButton();
	private javax.swing.JLabel MessageShoutLbl = new javax.swing.JLabel();
	private javax.swing.JTextPane OutPut= new javax.swing.JTextPane();
	private javax.swing.JTextPane Chat= new javax.swing.JTextPane();
	private javax.swing.JLabel PName = new javax.swing.JLabel();
	private javax.swing.JButton Pickup = new javax.swing.JButton();
	private javax.swing.JTextField PlayerName = new javax.swing.JTextField();
	private javax.swing.JTextField PortNum = new javax.swing.JTextField();
	private javax.swing.JButton Quit = new javax.swing.JButton();
	public javax.swing.JScrollPane SCROLLGAME= new javax.swing.JScrollPane();
	public javax.swing.JScrollPane ChatScrollPane= new javax.swing.JScrollPane();
	private javax.swing.JTextField ServerAddress = new javax.swing.JTextField();
	private javax.swing.JButton Start = new javax.swing.JButton();
	private javax.swing.JLabel DODName = new javax.swing.JLabel();
	private javax.swing.JLabel PortNumLbl = new javax.swing.JLabel();
	private javax.swing.JLabel ServerAddLbl = new javax.swing.JLabel();
	private javax.swing.JLabel BackGroundlbl = new javax.swing.JLabel();
	private javax.swing.JScrollPane OutputScrollPane = new javax.swing.JScrollPane();
	private javax.swing.JScrollPane ChateScroll = new javax.swing.JScrollPane();
	private javax.swing.JTextArea ChatArea= new javax.swing.JTextArea();
	public javax.swing.JTextPane ChatOutput= new javax.swing.JTextPane();
	private javax.swing.JButton SendButton = new javax.swing.JButton();
	private javax.swing.JLabel TerminalLbl = new javax.swing.JLabel();
	private javax.swing.JLabel GameView = new javax.swing.JLabel();
	private javax.swing.JLabel CHatLbl = new javax.swing.JLabel();
	private javax.swing.JComboBox FontSizeCmb = new javax.swing.JComboBox();
	private javax.swing.JComboBox FontStyleCmb = new javax.swing.JComboBox();
	private javax.swing.JComboBox TextColoutCmb = new javax.swing.JComboBox();
	
	private ClientLogic ClientLogic;
	private boolean StartPressed = false;
	private String OutputText = "<html>";

	public ClientGUI(){
		initComponents();
	}
	
	
	public void initComponents(){
		
		setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
		getContentPane().setLayout(null);
		
		// Create and set the Move N button
		MoveNorth.setText("MOVE N");
		MoveNorth.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				MoveNorthActionPerformed(evt);
			}
		});
		getContentPane().add(MoveNorth);
		MoveNorth.setBounds(770, 560, 100, 23);

		// Create and set the Move E button
		MoveEast.setText("MOVE E");
		MoveEast.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				MoveEastActionPerformed(evt);
			}
		});
		getContentPane().add(MoveEast);
		MoveEast.setBounds(880, 580, 100, 23);

		// Create and set the Move W button
		MoveWest.setText("MOVE W");
		MoveWest.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				MoveWestActionPerformed(evt);
			}
		});
		getContentPane().add(MoveWest);
		MoveWest.setBounds(660, 580, 100, 23);

		// Create and set the Move S button
		MoveSouth.setText("MOVE S");
		MoveSouth.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				MoveSouthActionPerformed(evt);
			}
		});
		getContentPane().add(MoveSouth);
		MoveSouth.setBounds(770, 600, 100, 23);

		// Create and set the Start button
		Start.setText("START");
		Start.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				StartActionPerformed(evt);
			}
		});
		getContentPane().add(Start);
		Start.setBounds(930, 640, 80, 40);

		// Create and set the Quit button
		Quit.setText("QUIT");
		Quit.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				QuitActionPerformed(evt);
			}
		});
		getContentPane().add(Quit);
		Quit.setBounds(930, 690, 80, 40);

		// Create and set the Pickup button
		Pickup.setText("PICKUP");
		Pickup.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				PickupActionPerformed(evt);
			}
		});
		getContentPane().add(Pickup);
		Pickup.setBounds(790, 670, 100, 23);

		// Create and set the Look button
		Look.setText("LOOK");
		Look.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				LookActionPerformed(evt);
			}
		});
		getContentPane().add(Look);
		Look.setBounds(790, 700, 100, 23);
		
		// create the message button to allow the user to send messages in game
		MessageSend.setText("MESSAGE");
		MessageSend.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				MessageSendActionPerformed(evt);
			}
		});
		getContentPane().add(MessageSend);
		MessageSend.setBounds(680, 700, 100, 23);

		// add the button to allow the player to change their name
		ChangeName.setText("NEW NAME");
		ChangeName.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				ChangeNameActionPerformed(evt);
			}
		});
		getContentPane().add(ChangeName);
		ChangeName.setBounds(680, 670, 100, 23);

		// Adds a new button used to send a chat message
		SendButton.setText("SEND");
		SendButton.addActionListener(new java.awt.event.ActionListener() {
			public void actionPerformed(java.awt.event.ActionEvent evt) {
				SendButtonActionPerformed(evt);
			}
		});
		getContentPane().add(SendButton);
		SendButton.setBounds(890, 300, 110, 40);
		
		// adds the textbox for the portnumber
		getContentPane().add(PortNum);
		PortNum.setBounds(170, 690, 140, 30);

		// add the textbox for the server address
		getContentPane().add(ServerAddress);
		ServerAddress.setBounds(10, 690, 140, 30);
		
		// add the player name textbox to the game
		getContentPane().add(PlayerName);
		PlayerName.setBounds(340, 690, 140, 30);
		
		// add the messageShout textbox to the Game GUI
		getContentPane().add(MessageShout);
		MessageShout.setBounds(500, 690, 140, 30);
		
		// Add the title Label
		DODName.setFont(new java.awt.Font("Tahoma", 1, 48));
		DODName.setForeground(new java.awt.Color(255, 255, 255));
		DODName.setText("DUNGEON OF DOOM");
		getContentPane().add(DODName);
		DODName.setBounds(270, 10, 500, 40);
		
		// add the label portnumber above the portnumber textbox
		PortNumLbl.setFont(new java.awt.Font("Tahoma", 1, 18));
		PortNumLbl.setForeground(new java.awt.Color(255, 255, 255));
		PortNumLbl.setText("Port Number");
		getContentPane().add(PortNumLbl);
		PortNumLbl.setBounds(170, 670, 140, 22);
		
		// adds the server address label above the server address textbox
		ServerAddLbl.setFont(new java.awt.Font("Tahoma", 1, 18));
		ServerAddLbl.setForeground(new java.awt.Color(255, 255, 255));
		ServerAddLbl.setText("Server Address");
		getContentPane().add(ServerAddLbl);
		ServerAddLbl.setBounds(10, 670, 140, 22);
		
		// adds the label above the Playername textbox
		PName.setFont(new java.awt.Font("Tahoma", 1, 18));
		PName.setForeground(new java.awt.Color(255, 255, 255));
		PName.setText("Player Name");
		getContentPane().add(PName);
		PName.setBounds(340, 670, 140, 22);
		
		// adds the label above the Message textbox for SHoutmessage
		MessageShoutLbl.setFont(new java.awt.Font("Tahoma", 1, 18)); 
		MessageShoutLbl.setForeground(new java.awt.Color(255, 255, 255));
		MessageShoutLbl.setText("Shout Message");
		getContentPane().add(MessageShoutLbl);
		MessageShoutLbl.setBounds(500, 670, 140, 22);
		
		// Game View label
		GameView.setFont(new java.awt.Font("Tahoma", 1, 18));
		GameView.setForeground(new java.awt.Color(255, 255, 255));
		GameView.setText("Game View");
		getContentPane().add(GameView);
		GameView.setBounds(190, 90, 140, 22);

		// Terminal Label
		TerminalLbl.setFont(new java.awt.Font("Tahoma", 1, 18));
		TerminalLbl.setForeground(new java.awt.Color(255, 255, 255));
		TerminalLbl.setText("Terminal");
		getContentPane().add(TerminalLbl);
		TerminalLbl.setBounds(180, 450, 140, 22);

		// Chat Label
		CHatLbl.setFont(new java.awt.Font("Tahoma", 1, 18));
		CHatLbl.setForeground(new java.awt.Color(255, 255, 255));
		CHatLbl.setText("CHAT");
		getContentPane().add(CHatLbl);
		CHatLbl.setBounds(440, 90, 140, 22);
		
		// set the inside of the scrollpane to the textpane output
		OutputScrollPane.setViewportView(OutPut);
		// adds the scrollpane to the window
		getContentPane().add(OutputScrollPane);
		OutputScrollPane.setBounds(10, 490, 563, 170);
		// set the inside of the scrollpane to the textpane output
		Chat.setContentType("text/html");
		ChatScrollPane.setViewportView(Chat);

		// adds the scrollpane to the window
		getContentPane().add(ChatScrollPane);
		ChatScrollPane.setBounds(440, 120, 560, 170); 
		
		// add the scrollpane to the main screen
		getContentPane().add(SCROLLGAME);
		SCROLLGAME.setBounds(110, 120, 300, 300);
		
		// creates the chat area for user input
		ChatArea.setColumns(20);
		ChatArea.setRows(5);
		ChateScroll.setViewportView(ChatArea);
		getContentPane().add(ChateScroll);
		ChateScroll.setBounds(440, 300, 430, 96);
		
		// Combo Box for Text Colour
		TextColoutCmb.setModel(
				new javax.swing.DefaultComboBoxModel(new String[] { "Red", "Blue", "Yellow", "Black", "Green" }));
		getContentPane().add(TextColoutCmb);
		TextColoutCmb.setBounds(530, 400, 130, 20);

		// Combo box for Text Size
		FontSizeCmb.setModel(
				new javax.swing.DefaultComboBoxModel(new String[] { "1", "2", "3", "4", "5", "6", "7" }));
		getContentPane().add(FontSizeCmb);
		FontSizeCmb.setBounds(450, 400, 70, 20);

		// Font Style for Text combo Box
		FontStyleCmb.setModel(
				new javax.swing.DefaultComboBoxModel(new String[] { "Arial", "verdana", "Impact", "Helvetica" }));
		getContentPane().add(FontStyleCmb);
		FontStyleCmb.setBounds(670, 400, 130, 20);

		// allows the background image to be set
		BackGroundlbl.setIcon(new javax.swing.ImageIcon(getClass().getResource("/BackDoom.png")));
		BackGroundlbl.setText("BackGroundlbl");
		getContentPane().add(BackGroundlbl);
		BackGroundlbl.setBounds(0, 0, 1020, 740);

		setBounds(0, 0, 1034, 778);
				
	}

	/**
	 * @param evt
	 *            Event called when the user presses the MOVE N button, Will
	 *            cause the user to move in the game map on the server and will
	 *            relay the information back
	 */
	private void MoveNorthActionPerformed(java.awt.event.ActionEvent evt) {
		if (StartPressed)
			ClientLogic.MOVEN();
		else
			OutPut.setText(OutPut.getText() + "User must start the game first" + "\n");
	}

	/**
	 * @param evt
	 *            Event called when the user presses the MOVE E button, Will
	 *            cause the user to move in the game map on the server and will
	 *            relay the information back
	 */
	private void MoveEastActionPerformed(java.awt.event.ActionEvent evt) {
		if (StartPressed)
			ClientLogic.MOVEE();
		else
			OutPut.setText(OutPut.getText() + "User must start the game first" + "\n");
	}

	/**
	 * @param evt
	 *            Event called when the user presses the MOVE S button, Will
	 *            cause the user to move in the game map on the server and will
	 *            relay the information back
	 */
	private void MoveSouthActionPerformed(java.awt.event.ActionEvent evt) {
		if (StartPressed)
			ClientLogic.MOVES();
		else
			OutPut.setText(OutPut.getText() + "User must start the game first" + "\n");
	}

	/**
	 * @param evt
	 *            Event called when the user presses the MOVE W button, Will
	 *            cause the user to move in the game map on the server and will
	 *            relay the information back
	 */
	private void MoveWestActionPerformed(java.awt.event.ActionEvent evt) {
		if (StartPressed)
			ClientLogic.MOVEW();
		else
			OutPut.setText(OutPut.getText() + "User must start the game first" + "\n");
	}
	
	/**
	 * @param evt
	 *            Event handler for when the pickup button is pressed, will send
	 *            the request to the server via GUILogic
	 */
	private void PickupActionPerformed(java.awt.event.ActionEvent evt) {
		if (StartPressed)
			ClientLogic.PICKUP();
		else
			OutPut.setText(OutPut.getText() + "User must start the game first" + "\n");
	}

	/**
	 * @param evt
	 *            Event handler for when the look button is pressed, will send
	 *            the request to the server via GUILogic
	 */
	private void LookActionPerformed(java.awt.event.ActionEvent evt) {
		if (StartPressed)
			ClientLogic.LOOK();
		else
			OutPut.setText(OutPut.getText() + "User must start the game first" + "\n");
	}
	
	/**
	 * @param evt
	 *            Event handler for when the hello button is pressed, will send
	 *            the request to the server via GUILogic. Send the value is has
	 *            taken from the player name textbox as the name of the user
	 */
	private void ChangeNameActionPerformed(java.awt.event.ActionEvent evt) {
		if (StartPressed)
			ClientLogic.HELLO(PlayerName.getText());
		else
			OutPut.setText(OutPut.getText() + "User must start the game first" + "\n");
	}

	/**
	 * @param evt
	 *            Event handler for when the Shout button is pressed, will send
	 *            the request to the server via GUILogic. Send the value is has
	 *            taken from the message textbox as the message to be sent to
	 *            the other users in the game
	 */
	private void MessageSendActionPerformed(java.awt.event.ActionEvent evt) {
		if (StartPressed)
			ClientLogic.SHOUT(MessageShout.getText());
		else
			OutPut.setText(OutPut.getText() + "User must start the game first" + "\n");
	}
	
	/**
	 * @param evt
	 *            Event called when the user presses the Quit Button, Will exit
	 *            the program
	 */
	private void QuitActionPerformed(java.awt.event.ActionEvent evt) {
		System.exit(0);
	}
	
	/**
	 * @param evt
	 *            Event called when the user presses the start button, will take
	 *            the server name port number and will create a new socket to
	 *            the server. This will also create a new GUILogic to deal with
	 *            any requests such as MOVE N and will then start up the
	 *            graphical pane
	 */
	private void StartActionPerformed(java.awt.event.ActionEvent evt) {
		try { // Get Server Name and Port Number and create Socket
			String name = ServerAddress.getText();
			String portNumber = PortNum.getText();
			int port = Integer.parseInt(portNumber);
			StartPressed = true;
			// Create a new GUILogic and then start the graphical pane
			ClientLogic = new ClientLogic(name, port, this);
			paneCreate();
		} catch (NumberFormatException e) {
			// could'nt parse the integer
			OutPut.setText(OutPut.getText() + "You need to enter a valid PortNumber and ServerName" + "\n");
		} catch (IOException e) {
			// Inform User of fail and start again
			OutPut.setText(OutPut.getText() + "Client Not created" + "\n");
			OutPut.setText(OutPut.getText() + "Try Again" + "\n");
		}
	}

	/**
	 * @param evt
	 *            Sends a new message to all the player in the game using HTML
	 *            Takes HTML information from the ComboBoxes provided
	 */
	private void SendButtonActionPerformed(java.awt.event.ActionEvent evt) {
		if (StartPressed == true) {
			String FSize = (String) FontSizeCmb.getSelectedItem();
			String FColour = (String) TextColoutCmb.getSelectedItem();
			String FStyle = (String) FontStyleCmb.getSelectedItem();
			String Hay = null;
			if (FColour.equals("Red")) {
				Hay = "<font color=#FF0000 size='" + FSize + "' face='" + FStyle + "'>" + ChatArea.getText()
						+ "</font><br />";
			} else if (FColour.equals("Blue")) {
				Hay = "<font color=#0000FF size='" + FSize + "' face='" + FStyle + "'>" + ChatArea.getText()
						+ "</font><br />";
			} else if (FColour.equals("Yellow")) {
				Hay = "<font color=#E4FF48 size='" + FSize + "' face='" + FStyle + "'>" + ChatArea.getText()
						+ "</font><br />";
			} else if (FColour.equals("Black")) {
				Hay = "<font color=#000000 size='" + FSize + "' face='" + FStyle + "'>" + ChatArea.getText()
						+ "</font><br />";
			} else if (FColour.equals("Green")) {
				Hay = "<font color=#00FF00 size='" + FSize + "' face='" + FStyle + "'>" + ChatArea.getText()
						+ "</font><br />";
			}
			if (ChatArea.getText().equals("") | ChatArea.getText() == null | ChatArea.getText().equals(" ")) {
				// Do Nothing
			} else {
				ClientLogic.SENDCHAT(Hay);
				ChatArea.setText("");
			}
		} else
			OutPut.setText(OutPut.getText() + "User must start the game first" + "\n");
	}
	
	/**
	 * @param FromLogic
	 *            - Takes a string that is sent to it by GUILogic to put in the
	 *            terminal
	 */
	public void OutputSent(String FromLogic) {
		OutPut.setText(OutPut.getText() + FromLogic + "\n");
	}

	/**
	 * @param FromLogic
	 *            - Message sent from GUILogic Get the HTML sent and displays
	 *            that on the textpane
	 */
	public void OutputSentCHAT(String FromLogic) {
		OutputText = OutputText + FromLogic;
		Chat.setText(OutputText);
	}
	
	/**
	 * Sets the GamePanel inside a scroll pane incase it was not to fit for some
	 * reason and then starts the gamepanel to run so that it update the map
	 */
	public void paneCreate() {
		try {
			SCROLLGAME.setViewportView(ClientLogic.createPane());
			ClientLogic.startPane();
		} catch (InterruptedException ex) {
			ex.printStackTrace();
		} catch (IOException ex) {
			ex.printStackTrace();
		}
	}

	/**
	 * @param args
	 *            the command line arguments Allows the GUI to be visible and
	 *            sets the the layout of how buttons etc.. should look
	 */
	public static void main(String args[]) {
		try {
			for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
				if ("Nimbus".equals(info.getName())) {
					javax.swing.UIManager.setLookAndFeel(info.getClassName());
					break;
				}
			}
		} catch (ClassNotFoundException ex) {
			java.util.logging.Logger.getLogger(ClientGUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
		} catch (InstantiationException ex) {
			java.util.logging.Logger.getLogger(ClientGUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
		} catch (IllegalAccessException ex) {
			java.util.logging.Logger.getLogger(ClientGUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
		} catch (javax.swing.UnsupportedLookAndFeelException ex) {
			java.util.logging.Logger.getLogger(ClientGUI.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
		}

		/* Create and display the form */
		java.awt.EventQueue.invokeLater(new Runnable() {
			public void run() {
				new ClientGUI().setVisible(true);
			}
		});
	}

}
