package dod;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.text.ParseException;

public class ServerGUI {

	private BufferedReader br = new BufferedReader(new InputStreamReader(
			System.in));
	private static int serverPort;
	private static boolean created = false;
	private static ServerLogic serverLogic;

	public ServerGUI() throws NumberFormatException, IOException {
			System.out.println("Please Enter The Sever Port: ");
			serverPort = Integer.parseInt(br.readLine());
	}

	public static void main(String args[]) {
		while (!created){
			try {
				ServerGUI server = new ServerGUI();
				serverLogic = new ServerLogic(serverPort);
				serverLogic.waitForPlayers();
			} catch (IOException IOE) {
				System.out.println("Could not create Server - Use different Port - IO");
			} catch (ParseException PE) {
				System.out.println("Could not create Server - Use different Port - PARSE");
			} catch (NumberFormatException NFE){
				System.out.println("Entered Server Port Incorrectly");
			}
			finally{
				if (serverLogic != null){
					serverLogic.kill();
				}
			}
		}
	}

}
